from __future__ import annotations


attributes_resource = "https://app.api.surehub.io/api/start"


class PetAttributes:
    """surepy feeding state."""

    def __init__(self, state: dict[str, Any]):
        self.device_id = state.get("device_id")
        self.tag_id = state.get("tag_id")
        self.at: datetime = datetime.fromisoformat(state.get("at"))
        self.changes: list[float] = state["change"] if "change" in state else None
        self.change_bowl_one = self.changes[0] if self.changes else None
        self.change_bowl_two = self.changes[1] if self.changes else None


breeds = {
    1: {
        333: "Abessinierkatze",
        334: "American Bobtail",
        335: "American Curl",
        336: "American Shorthair",
        337: "American Wirehair",
        338: "Balinesenkatze",
        339: "Bengal",
        340: "Birma-Katze",
        341: "Bombay-Katze",
        342: "British Kurzhaar",
        343: "Burma-Katze",
        344: "Burmilla",
        345: "Chartreux",
        346: "Chinese Li Hua",
        347: "Colorpoint Shorthair",
        348: "Cornish Rex",
        349: "Cymric",
        350: "Devon Rex",
        351: "Ägyptische Mau",
        352: "Burma-Katze",
        353: "Exotische Kurzhaarkatze",
        354: "Havana-Katze",
        355: "Colourpoint",
        356: "Japanese Bobtail",
        357: "Orientalisch Langhaar",
        358: "Korat-Katze",
        359: "LaPerm",
        360: "Maine Coon",
        361: "Manx",
        362: "Nebelung-Katze",
        363: "Norwegische Waldkatze",
        364: "Ocicat",
        365: "Orientalisch Kurzhaar",
        366: "Persisch",
        367: "Perserkatze",
        368: "Ragdoll-Katze",
        369: "Russisch Blau",
        370: "Savannah-Katze",
        371: "Schottische Faltohrkatze",
        372: "Selkirk Rex",
        373: "Siamkatze",
        374: "Sibirische Katze",
        375: "Singapura",
        376: "Snowshoe",
        377: "Somali",
        378: "Sphynx-Katze",
        379: "Tonkanese",
        380: "Türkisch Angora",
        381: "Türkisch Van",
        382: "Kurzhaarige Hauskatze",
        383: "Langhaarige Hauskatze",
        384: "Wildkatze",
        385: "Schildpatt Katze",
        386: "Australische Schleierkatze",
    },
    2: {
        1: "Affenpinscher",
        2: "Afghanischer Windhund",
        3: "Afrikanischer Wildhund",
        4: "Africanis",
        5: "Aidi",
        6: "Airedale Terrier",
        7: "Akbaş",
        8: "Alano Español",
        9: "Alapaha Blue Blood Bulldog",
        10: "Alaskan Husky",
        11: "Alaskan Klee Kai",
        12: "Alaskan Malamute",
        13: "Alopekis",
        14: "Akita",
        15: "American Bulldog",
        16: "Amerikanischer Cocker Spaniel",
        17: "American Eskimo Dog",
        18: "American Foxhound",
        19: "American Hairless Terrier",
        20: "American Mastiff",
        21: "American Pit Bull Terrier",
        22: "American Staffordshire Terrier",
        23: "American Staghound",
        24: "American Water Spaniel",
        25: "Weißer Schäferhund",
        26: "Anatolischer Hirtenhund",
        27: "Podenco Andaluz",
        28: "Appenzeller Sennenhund",
        29: "Dogo Argentino",
        30: "Braque de l’Ariège",
        31: "Ariégeois",
        32: "Australian Bulldog",
        33: "Australian Cattle Dog",
        34: "Australian Kelpie",
        35: "Australian Shepherd",
        36: "Australian Silky Terrier",
        37: "Australian Stumpy Tail Cattle Dog",
        38: "Australian Terrier",
        39: "Brandlbracke",
        40: "Österreichischer Pinscher",
        41: "Azawakh",
        42: "Barbet",
        43: "Basenji",
        44: "Basset artésien normand",
        45: "Basset bleu de Gascogne",
        46: "Basset fauve de Bretagne",
        47: "Basset Hound",
        48: "Bayerischer Gebirgsschweißhund",
        49: "Beagle",
        50: "Beagle-Harrier",
        51: "Beaglier",
        52: "Bearded Collie",
        53: "Beauceron",
        54: "Bedlington Terrier",
        55: "Laekenois",
        56: "Malinois",
        57: "Tervueren",
        58: "Bergamasker Hirtenhund",
        59: "Berger de Picardie",
        60: "Berner Sennenhund",
        61: "Bichon Frisé",
        62: "Black and Tan Coonhound",
        63: "Norwegischer Elchhund schwarz",
        64: "Russischer schwarzer Terrier",
        65: "Black Mouth Cur",
        66: "Bloodhound",
        67: "Blue Lacy",
        68: "Epagneul Bleu de Picardie",
        69: "Bluetick Coonhound",
        70: "Boerboel",
        71: "Chodský pes",
        72: "Bologneser",
        73: "Border Collie",
        74: "Border Terrier",
        75: "Barsoi",
        76: "Boston Terrier",
        77: "Bouvier des Ardennes",
        78: "Bouvier des Flandres",
        79: "Deutscher Boxer",
        80: "Boykin Spaniel",
        81: "Bracco Italiano",
        82: "Braque du Bourbonnais",
        83: "Terrier Brasileiro",
        84: "Briard",
        85: "Briquet Griffon Vendéen",
        86: "Belgische Zwerggriffons",
        87: "Ciobănesc Românesc de Bucovina",
        88: "Karakatschan",
        89: "Bullterrier",
        90: "Englische Bulldogge",
        91: "Bullmastiff",
        92: "Cão da Serra de Aires",
        93: "Cairn Terrier",
        94: "Kanaan Hund",
        95: "Kanadischer Eskimohund",
        96: "Cane Corso Italiano",
        97: "Mudhol Hound",
        98: "Welsh Corgi Cardigan",
        99: "Carolina Dog",
        100: "Ciobănesc Românesc Carpatin",
        101: "Catahoula Bulldog",
        102: "Louisiana Catahoula Leopard Dog",
        103: "Catahoula Leopard Dog",
        104: "Katalanischer Schäferhund",
        105: "Kaukasischer Owtscharka",
        106: "Cavalier King Charles Spaniel",
        107: "Zentralasiatischer Owtscharka",
        108: "Český fousek",
        109: "Tschechischer Terrier",
        110: "Chart Polski",
        111: "Chesapeake Bay Retriever",
        112: "Chihuahua",
        113: "Chinese Crested",
        114: "Chow-Chow",
        115: "Cirneco Dell Etna",
        116: "Clumber Spaniel",
        117: "Cockapoo",
        118: "Coton De Tuléar",
        119: "Hrvatski ovčar",
        120: "Curly-Coated Retriever",
        121: "Tschechoslowakischer Wolfshund",
        122: "Dackel",
        123: "Dalmatiner",
        124: "Dandie Dinmont Terrier",
        125: "Dansk-Svensk Gårdshund",
        126: "Deutsche Bracke",
        127: "Dingo",
        128: "Dobermann",
        129: "Dogue de Bordeaux",
        130: "Drentse Patrijshond",
        131: "Drever",
        132: "Dunker",
        133: "Hollandse Herdershond",
        134: "Hollands Smoushond",
        135: "Ostsibirischer Laika",
        136: "Osteuropäischer Schäferhund",
        137: "English Coonhound",
        138: "English Foxhound",
        139: "Mastiff",
        140: "English Setter",
        141: "English Shepherd",
        142: "English Springer Spaniel",
        143: "Entlebucher Sennenhund",
        144: "Eurasier",
        145: "Field Spaniel",
        146: "Fila Brasileiro",
        147: "Finnischer Laufhund",
        148: "Finnischer Lapphund",
        149: "Finnischer Spitz",
        150: "Flat-Coated Retriever",
        151: "Französischer Weiß-Schwarzer Laufhund",
        152: "Epagneul Breton",
        153: "Französische Bulldogge",
        154: "Epagneul Français",
        155: "Deutsch Langhaar",
        156: "Deutscher Pinscher",
        157: "Deutscher Schäferhund",
        158: "Deutsch Kurzhaar",
        159: "Deutsch Drahthaar",
        160: "Riesenschnauzer",
        161: "Irish Glen of Imaal Terrier",
        162: "Golden Retriever",
        163: "Goldendoodle",
        164: "Gordon Setter",
        165: "Grand Basset Griffon Vendéen",
        166: "Deutsche Dogge",
        167: "Chien de Montagne des Pyrénées",
        168: "Großer Schweizer Sennenhund",
        169: "Grönlandhund",
        170: "Greyhound",
        171: "Griffon bleu de Gascogne",
        172: "Groenendael",
        173: "Hamiltonstövare",
        174: "Harrier",
        175: "Havaneser",
        176: "Hokkaido",
        177: "Hovawart",
        178: "Podenco Ibicenco",
        179: "Islandhund",
        180: "Irish Red and White Setter",
        181: "Irish Setter",
        182: "Irish Terrier",
        183: "Irish Water Spaniel",
        184: "Irischer Wolfshund",
        185: "Italienisches Windspiel",
        186: "Jack Russell Terrier",
        187: "Jagdterrier",
        188: "Jämthund",
        189: "Japan Chin",
        190: "Japan Spitz",
        191: "Japanischer Terrier",
        192: "Karelischer Bärenhund",
        193: "Wolfsspitz",
        194: "Kerry Blue Terrier",
        195: "Kishu",
        196: "Komondor",
        197: "Nederlandse Kooikerhondje",
        198: "Koolie",
        199: "Korea Jindo Dog",
        200: "Kromfohrländer",
        201: "Kuvasz",
        202: "Labrador Retriever",
        203: "Lagotto Romagnolo",
        204: "Lakeland Terrier",
        205: "Lancashire Heeler",
        206: "Landseer",
        207: "Lappländischer Rentierhund",
        208: "Großer Münsterländer",
        209: "Leonberger",
        210: "Lhasa Apso",
        211: "Löwchen",
        212: "Malteser",
        213: "Manchester Terrier",
        214: "McNab",
        215: "Miniature Bull Terrier",
        216: "Zwergpinscher",
        217: "Zwergschnauzer",
        218: "Mudi",
        219: "Mastino Napoletano",
        220: "Neuguinea-Dingo",
        221: "Neufundländer",
        222: "Norfolk Terrier",
        223: "Norbottenspitz",
        224: "Northern Inuit",
        225: "Norwegischer Buhund",
        226: "Norwegischer Elchhund grau",
        227: "Norwegischer Lundehund",
        228: "Norwich Terrier",
        229: "Bobtail",
        230: "Olde English Bulldogge",
        231: "Otterhund",
        232: "Alangu Mastiff",
        233: "Kontinentaler Zwerspaniel",
        234: "Parson Russell Terrier",
        235: "Patterdale Terrier",
        236: "Pekingese",
        237: "Welsh Corgi Pembroke",
        238: "Dogo Canario",
        239: "Ca de Bou",
        240: "Peruanischer Nackthund",
        241: "Petit Basset Griffon Vendéen",
        242: "Pharaonenhund",
        243: "Epagneul Picard",
        244: "Plott Hound",
        245: "Plummer Terrier",
        246: "Gończy Polski",
        247: "Polski Owczarek Nizinny",
        248: "Zwergspitz",
        249: "Epagneul de Pont-Audemer",
        250: "Pudel",
        251: "Podengo Português",
        252: "Perdigueiro Português",
        253: "Cão de Água Português",
        254: "Prager Rattler",
        255: "Pudelpointer",
        256: "Mops",
        257: "Puli",
        258: "Pumi",
        259: "Berger des Pyrénées",
        260: "Rafeiro do Alentejo",
        261: "Rajapalyam",
        262: "Rat Terrier",
        263: "Redbone Coonhound",
        264: "Rhodesian Ridgeback",
        265: "Rottweiler",
        266: "Langhaarcollie",
        267: "Russischer Spaniel",
        268: "Russkiy Toy",
        269: "Saarlooswolfhund",
        270: "Saluki",
        271: "Samojede",
        272: "Sabsal Gae",
        273: "Šarplaninac",
        274: "Schapendoes",
        275: "Schipperke",
        276: "Deerhound",
        277: "Scottish Terrier",
        278: "Sealyham Terrier",
        279: "Seppala Siberian Sleddog",
        280: "Serbischer Laufhund",
        281: "Shar-Pei",
        282: "Shetland Sheepdog",
        283: "Shiba",
        284: "Shih Tzu",
        285: "Shikoku",
        286: "Shiloh Shepherd",
        287: "Siberian Husky",
        288: "Silken Windhound",
        289: "Skye Terrier",
        290: "Sloughi",
        291: "Smålandsstövare",
        292: "Kleiner Münsterländer",
        293: "Kurzhaarcollie",
        294: "Glatthaar-Foxterrier",
        295: "Irish Soft Coated Wheaten Terrier",
        296: "Südrussischer Owtscharka",
        297: "Mastín Español",
        298: "Perro de Agua Español",
        299: "Spinone Italiano",
        300: "Bernhardiner",
        301: "Staffordshire Bullterrier",
        302: "Mittelschnauzer",
        303: "Sussex Spaniel",
        304: "Schwedischer Lapphund",
        305: "Västgötaspets",
        306: "Tamaskan",
        307: "Thai Bangkaew Dog",
        308: "Thai Ridgeback",
        309: "Do Khyi",
        310: "Tibet-Spaniel",
        311: "Tibet-Terrier",
        312: "Nova Scotia Duck Tolling Retriever",
        313: "Tornjak",
        314: "Tosa",
        315: "Toy-Bulldog",
        316: "American Toy Terrier",
        317: "Manchester Toy Terrier",
        318: "Erdélyi Kopó",
        319: "Treeing Walker Coonhound",
        320: "Kurzhaariger Ungarischer Vorstehhund",
        321: "Volpino Italiano",
        322: "Weimaraner",
        323: "Welsh Springer Spaniel",
        324: "Welsh Terrier",
        325: "West Highland White Terrier",
        326: "Westsibirischer Laika",
        327: "Wetterhoun",
        328: "Whippet",
        329: "Drahthaar-Foxterrier",
        330: "Griffon d’arrêt à poil dur – Korthals",
        331: "Xoloitzcuintle",
        332: "Yorkshire Terrier",
    },
}
